﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Private spnryr As Spinner
End Sub

Public Sub Initialize
End Sub

Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("1")
End Sub

Private Sub Button1_Click
	Dim SQL As SQL
	Dim name_db As String = "teste.db"
	
	Wait For (File.CopyAsync(File.DirAssets, name_db, File.DirApp, name_db)) Complete (Success As Boolean)
	Log("Success: " & Success)
	
	SQL.InitializeSQLite(File.DirApp, name_db, False)
	
	'https://www.b4x.com/android/forum/threads/dbutils-example.34611/#content
	'- ExecuteSpinner and ExecuteListView were removed.
	'DBUtils.ExecuteSpinner(SQL, "SELECT strftime('%Y', datein) As Year FROM payables order  by cid desc", Null, 0, spnryr)
	
	ExecuteSpinner(SQL, "SELECT strftime('%Y', datein) As Year FROM payables order  by cid desc", Null, 0, spnryr)
End Sub

Sub ExecuteSpinner(xsql As SQL, xquery As String, xstring_args() As String, xlimit As Int, xspinner As Spinner)
	
	Dim itens As List 
	itens.Initialize
	itens.Clear
	
	Dim Table As List
	Table = DBUtils.ExecuteMemoryTable(xsql, xquery, xstring_args, xlimit)
	Dim Cols() As String
	For i = 0 To Table.Size - 1
		Cols = Table.Get(i)
		
		#if b4a 
			xspinner.Add(Cols(0))
		#End If
		
		#if b4j 
			itens.Add(Cols(0))
		#End If
	Next
	
	#if b4j 
	xspinner.SetListItems(itens)
	#End If
End Sub


